1. Invoices
Confirma Finance Integrations API
  • Introduction
  • Authentication
  • Environments
  • Data validation
  • Contact information
  • Go Live & Deployment Guide
  • Services
    • Services
    • Invoice Intermediation service
    • Invoice Lifecycle Service
    • Debt Collection Services
    • Accounting integrations
  • Core endpoints
    • Onboarding
      • Introduction to onboarding
      • Create a new client
      • Validate access token
      • Renew access token
    • Invoices
      • Introduction to Invoices
      • Create an invoice
        POST
      • Create an Invoice Action
        POST
      • Retrieve case details
        GET
      • Retrieve distribution Information
        GET
    • Payments
      • Introduction to Payments
      • Retrieve Payments
      • Retrieve settlements
    • Accounting
      • Introduction to accounting
      • Invoice
        • Invoice
      • Ledger
        • Ledger
        • Ledger
      • Payment
        • Payment
        • Payment
Need help?
  1. Invoices

Retrieve case details

GET
https://staging-integrations.confirmafinance.com/api/v1/partner/invoice/case
invoicecase
This API Service is for the Creditor to retrieve invoice and case related details from the payment control agency.

Request

Authorization
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
Query Params

Responses

🟢200OK
application/json
Request accepted and data found
Body

Example
{
    "case": {
        "summary": {
            "caseId": 0,
            "status": "string",
            "stage": "string",
            "createdAt": "2019-08-24T14:15:22.123Z",
            "closedAt": "2019-08-24",
            "activeDays": 0,
            "creditor": "string",
            "currency": "string",
            "agency": "string"
        },
        "balance": {
            "capitalAmount": 0,
            "interestAmount": 0,
            "costsAmount": 0,
            "capitalPaid": 0,
            "interestPaid": 0,
            "costsPaid": 0,
            "capitalOutstanding": 0,
            "interestOutstanding": 0,
            "costsOutstanding": 0,
            "totalOutstanding": 0,
            "asOf": "2019-08-24T14:15:22.123Z"
        },
        "invoices": [
            {
                "invoiceNumber": "string",
                "reference": null,
                "originalReference": null,
                "invoiceDate": "string",
                "dueDate": "string",
                "createdDate": "string",
                "subject": null,
                "invoiceDocUrl": "string",
                "interestCalculation": "string",
                "interestRate": 0,
                "capitalAmount": 0,
                "capitalPaid": 0,
                "interestAmount": 0,
                "interestPaid": 0,
                "distribution": {
                    "method": "string",
                    "distributedAt": "string",
                    "paymentControlEnabled": true,
                    "information": "string",
                    "updatedAt": null
                },
                "timeline": [
                    {
                        "type": "string",
                        "occurredAt": "string"
                    }
                ]
            }
        ],
        "payments": [
            {
                "invoiceNumber": "string",
                "createdAt": "string",
                "bankPaymentDate": "string",
                "allocatedAt": "string",
                "amount": 0,
                "currency": "string",
                "description": "string",
                "method": "string",
                "status": "string"
            }
        ],
        "events": [
            {
                "title": "string",
                "description": "string",
                "occurredAt": "string"
            }
        ],
        "actions": [
            {
                "type": "string",
                "status": 0,
                "comment": "string",
                "occurredAt": "string"
            }
        ]
    }
}
🟠401Unauthorized
Previous
Create an Invoice Action
Next
Retrieve distribution Information
Built with